scim::MethodSlot3< T, R, P1, P2, P3 > Class Template Reference
SignalSlot

A slot template for methods in a class of type T taking three arguments of type P1, P2 and P3, and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

| MethodSlot3 (T *object, PMF function)
virtual R | call (P1 p1, P2 p2, P3 p3) const
Public Member Functions inherited from scim::Slot3< R, P1, P2, P3 >
R | operator() (P1 p1, P2 p2, P3 p3) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot3< R, P1, P2, P3 >
| Slot3 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename T, typename R, typename P1, typename P2, typename P3>
class scim::MethodSlot3< T, R, P1, P2, P3 >

A slot template for methods in a class of type T taking three arguments of type P1, P2 and P3, and returning a value of type R.

## Constructor & Destructor Documentation

## MethodSlot3()

template<typename T, typename R, typename P1, typename P2, typename P3>

scim::MethodSlot3< T, R, P1, P2, P3 >::MethodSlot3 | ( | T * | object,
|  | PMF | function )

inline

Construct a new method slot for a class member function.

Parameters

  object | - a pointer to an object of type T.
  function | - a class method with the signature R (T::*PMF)(P1, P2, P3).

## Member Function Documentation

## call()

template<typename T, typename R, typename P1, typename P2, typename P3>

virtual R scim::MethodSlot3< T, R, P1, P2, P3 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 ) const

inline virtual

Calls the class method connected to this slot passing it arguments p1, p2 and p3.

Returns
  a value of type R returned by the called method.

Implements scim::Slot3< R, P1, P2, P3 >.

The documentation for this class was generated from the following file:

- scim_slot.h